import { createSSRApp } from 'vue'
import App from './App.vue'
import * as Pinia from 'pinia'
import plugins from './plugins' // plugins
import uviewPlus from 'uview-plus'
import request from "@/utils/request.js";
import scrollHeight from "@/utils/scrollHeight.js"
export function createApp() {
  const app = createSSRApp(App)
  app.use(uviewPlus)
  app.use(Pinia.createPinia())
  app.use(plugins)
  app.config.globalProperties.request = request;
  app.config.globalProperties.scrollHeight = scrollHeight;
  return {
    app,
    Pinia,
  }
}
