export default async function(el) {
	return new Promise((resolve, reject) => {
		const top = el.value.$el.getBoundingClientRect().top
		uni.getSystemInfo({
			success(res) {
				// 针对iPhone X等机型底部安全距离做适配
				const model = res.model;
				const modelInclude = [
					"iPhone X",
					'iPhone XR',
					"iPhone XS",
					"iPhone XS MAX",
					"iPhone 12/13 mini",
					"iPhone 12/13 (Pro)",
					"iPhone 12/13 Pro Max",
					"iPhone 14 Pro Max"
				];
				let safeDistance = modelInclude.includes(model)
				//动态设置商品区域高度
				let h = 0;
				if (safeDistance) {
					h = res.windowHeight - top;
				} else {
					h = res.windowHeight - top;
				}
				resolve(`${h}px`)
			},
			fail(err) {
				reject(err)
			}
		});
	})
}
